# Locate the Windows SDK and add its binaries directory to PATH
#
# `toolname` can be overridden to use a different marker file.

parameters:
  toolname: signtool.exe

steps:
  - powershell: |
      $kitroot = (gp 'HKLM:\SOFTWARE\Microsoft\Windows Kits\Installed Roots\').KitsRoot10
      $tool = (gci -r "$kitroot\Bin\*\${{ parameters.toolname }}" | sort FullName -Desc | select -First 1)
      if (-not $tool) {
          throw "SDK is not available"
      }
      Write-Host "##vso[task.prependpath]$($tool.Directory)"
      Write-Host "Adding $($tool.Directory) to PATH"
    displayName: 'Add WinSDK tools to path'
